package com.uas.account.service;

import com.uas.account.entity.UserDetail;
import com.uas.account.entity.UserQuestion;

import java.util.List;

/**
 * Created by wangmh on 2017/10/31.
 */
public interface UserQuestionService {

    List<UserQuestion> getEncryptedQuestion(Long userUU);

    boolean checkEncryptedQuestion();

    void save(List<UserQuestion> questions);

    void saveOne(UserQuestion question);

    /**
     * 获得默认的问题
     * @param detail 用户信息
     * @param size 需要问题的长度
     * @return
     */
    List<UserQuestion> getDefaultQuestion(UserDetail detail, int size);
}
